WordPress.org

Support

Support » Plugins and Hacks » [Plugin: SyntaxHighlighter Evolved] probs wit hthe new 3.0.0. version

[Plugin: SyntaxHighlighter Evolved] probs wit hthe new 3.0.0. version

Viewing 15 replies - 1 through 15 (of 19 total)
  • There is no longer a need for the toolbar. You can directly highlight and copy code. You can also double-click on the code to select it all.

    Line wrapping is no longer an option which I think is a shame. I’ll be submitting a feature request for that one.

    ok, thanks for answering those questions. will revert back to old version as line wrapping is more important for me than selecting text directly…

    Add me to the list of folks that reverted back to the older version. Wrap is a “must have” for my readers. They also prefer the “flash” copy/print options.

    They also prefer the “flash” copy/print options.

    Why? This is way better. You can select just the bits you want, doesn’t require Flash (yay!), and it’s still easy to select it all (just double click the code).

    LOL I thought so to. 😉 It’s because I have a lot of non-techie newbies on one of my sites. To give you an idea of who’s visiting, it’s the people who still don’t understand why they shouldn’t paste stuff from MS Word into their WP post. But hey, ya gotta start somewhere.

    Several people commented that when they double-clicked to copy, it only highlighted the word they clicked on. Basically, they got frustrated with all the nonproductive clicking.

    I figured out that they were double-clicking but not clicking away before they tried to highlight again. These folks like the “push button” ease.

    This isn’t a problem on my business site. This is where I actually post code, not just plain text, like on the “newbie” site. These readers are more tech savvy and have the patience to troubleshoot on their own.

    Having said all of that, the click/button issue isn’t the major problem for me. It’s the fact that there isn’t a line wrap. Since I use the plugin to share entire articles with affiliates, the wrap feature is very very important to me.

    Anywho, thanks for listening.

    And some how, in rtl weblogs like mine, the code shown in right to left 🙂 but in old version it was ok, I made many change to css to fix this problem.

    @lace: Yes, I want line wrap back too. You’ll have no disagreement from me there.

    @f0rud: Oh I think I fixed that in the old one, but never fixed it in the new one. Plugin update incoming. 🙂

    Also since I didn’t have to modify my plugin really in order to support the new highlighting package, I think I’ll include the option to toggle between v3 and v2. That should make everyone happy.

    aaaaaaaaw what a sweetie. Thanks for the consideration and listening! I think we may need to keep you. lol

    lol, great. Thx @viper!

    The new version also breaks edit mode.
    If I disable the plugin things work just fine.

    The new version also breaks edit mode.
    If I disable the plugin things work just fine.

    Typo on my part which prevents the TinyMCE helper plugin (that unbreaks TinyMCE) from loading. Will be fixed soon.

    Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    Yeah, I had to revert as well. The post editor was completely broken by the new version of the plugin. It broke TinyMCE completely, made it insert weird P tags and all sorts of other things.

    Also, all the selection and copy paste stuff was completely missing. Not sure why that was removed, as it was useful.

    Version 2.3.2 works fine though.

    Not sure why that was removed, as it was useful.

    When I did a search/replace for something else, I accidentally changed the filename of the TinyMCE plugin and since I won’t go near TinyMCE with a 10 foot pole, I didn’t test and catch it. 🙁

    This should all be fixed in v3.1.0 I think.

    I would still recommend staying far, far away from the Visual editor (TinyMCE) though as it likes to be “helpful” and clean up your HTML for you (i.e. change your code). I’m not good enough with TinyMCE to try and hack it into behaving nicely.

    If you write code, what are you doing using a WYSIWYG editor anyway? 🙂

    Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    I use the Visual editor because I want to edit my post and know how it’s going to look on the actual site. I created an editor style file for exactly that reason.

Viewing 15 replies - 1 through 15 (of 19 total)
  • The topic ‘[Plugin: SyntaxHighlighter Evolved] probs wit hthe new 3.0.0. version’ is closed to new replies.